<?php
/**
 * Single Features
 */
    get_header();

    global $kiedo_opt;

    $hide_features_banner        =   $kiedo_opt['hide_features_banner'];
    $hide_features_breadcrumb    =   $kiedo_opt['hide_features_breadcrumb'];

    if( function_exists('acf_add_options_page') ) {
        $bg_img = get_field( 'features_banner_background_image' );
    }else {
        $bg_img = '';
    }

    if( $hide_features_banner == false ):
        $pt_165   = '';
    else:
        $pt_165   = 'pt-165';
    endif;

    // Page Title
    if( isset($kiedo_opt['page_title_tag']) ):
        $tag = $kiedo_opt['page_title_tag'];
    else:
        $tag = 'h2';
    endif;

?>
    <!-- Start Page Title Area -->
    <?php if( $hide_features_banner == false ): ?>
        <div class="page-title-area">
            <div class="container">
                <div class="page-title-content">
					<<?php echo esc_attr( $tag ); ?>><?php the_title(); ?></<?php echo esc_attr( $tag ); ?>>

                    <?php if( $hide_features_breadcrumb == false ): ?>
						<?php
							if ( function_exists('yoast_breadcrumb') ) {
								yoast_breadcrumb( '<p class="kiedo-seo-breadcrumbs" id="breadcrumbs">','</p>' );
							} else { ?>
								<ul>
									<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'kiedo' ); ?></a></li>
									<li><?php the_title(); ?></li>
								</ul>
								<?php
							}
					endif; ?>
                </div>
            </div>

           <?php kiedo_page_shape_images(); ?>
        </div>
    <?php endif; ?>
    <!-- End Page Title Area -->

    <?php if( !kiedo_is_elementor()): ?><section class="features-details-area ptb-100 <?php echo esc_attr( $pt_165 ); ?>"><?php endif; ?>
        <?php if( !kiedo_is_elementor()): ?><div class="container"><?php endif; ?>
            <?php while ( have_posts() ) : the_post(); ?>
                <?php the_content(); ?>
            <?php endwhile; ?>
    <?php if( !kiedo_is_elementor()): ?><div></section><?php endif; ?>

<?php get_footer();